Bug 1100691 - (CVE-2018-1000622) VUL-0: CVE-2018-1000622 rust: rustdoc loads plugins from world writable directory allowing for arbitrary code execution
(CVE-2018-1000622)
VUL-0: CVE-2018-1000622 rust: rustdoc loads plugins from world writable direc...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210259/
CVSSv3:RedHat:CVE-2018-1000622:5.3:(A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-10 06:47 UTC by Marcus Meissner
Modified: 2021-07-12 04:35 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-07-10 06:47:17 UTC
rh#1597063

The Rust Programming Language rustdoc version Between 0.8 and 1.27.0 contains a
CWE-427: Uncontrolled Search Path Element vulnerability in rustdoc plugins that
can result in local code execution as a different user. This attack appear to be
exploitable via using the --plugin flag without the --plugin-path flag. This
vulnerability appears to have been fixed in 1.27.1.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1597063
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-1000622
https://groups.google.com/forum/#%21topic/rustlang-security-announcements/4ybxYLTtXuM
Comment 5 QK ZHU 2018-10-15 07:44:41 UTC
Requests got accepted,reset Assignee to security team.
Comment 6 Swamp Workflow Management 2018-10-23 19:26:14 UTC
SUSE-SU-2018:3357-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1100691
CVE References: CVE-2018-1000622
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    rust-1.24.1-3.6.1
Comment 7 Swamp Workflow Management 2018-10-25 16:21:48 UTC
openSUSE-SU-2018:3451-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1100691
CVE References: CVE-2018-1000622
Sources used:
openSUSE Leap 15.0 (src):    rust-1.24.1-lp150.2.4.1
Comment 8 Marcus Meissner 2018-10-26 06:36:04 UTC
done
Comment 10 Swamp Workflow Management 2019-02-11 10:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1100691) was mentioned in
https://build.opensuse.org/request/show/673259 15.1 / rust
Comment 11 Swamp Workflow Management 2019-02-14 14:10:50 UTC
SUSE-RU-2019:0386-1: An update that fixes one vulnerability is now available.

Category: recommended (moderate)
Bug References: 1100691
CVE References: CVE-2018-1000622
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    rust-1.31.1-3.9.2
SUSE Linux Enterprise Module for Development Tools 15 (src):    rust-1.31.1-3.9.2
Comment 15 Swamp Workflow Management 2019-06-14 16:21:45 UTC
openSUSE-RU-2019:1556-1: An update that fixes one vulnerability is now available.

Category: recommended (moderate)
Bug References: 1100691
CVE References: CVE-2018-1000622
Sources used:
openSUSE Leap 15.0 (src):    rust-1.31.1-lp150.11.1
Comment 16 Swamp Workflow Management 2019-09-23 19:11:31 UTC
SUSE-SU-2019:2439-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1096945,1100691,1133283,1134978
CVE References: CVE-2018-1000622,CVE-2019-12083
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    rust-1.36.0-3.21.1, rust-cbindgen-0.8.7-1.3.6
SUSE Linux Enterprise Module for Development Tools 15 (src):    rust-1.36.0-3.21.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2019-09-27 13:11:15 UTC
openSUSE-SU-2019:2203-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1096945,1100691,1133283,1134978
CVE References: CVE-2018-1000622,CVE-2019-12083
Sources used:
openSUSE Leap 15.1 (src):    rust-1.36.0-lp151.5.4.1, rust-cbindgen-0.8.7-lp151.2.2
Comment 18 Swamp Workflow Management 2019-10-03 13:14:29 UTC
openSUSE-SU-2019:2244-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1096945,1100691,1133283,1134978
CVE References: CVE-2018-1000622,CVE-2019-12083
Sources used:
openSUSE Leap 15.1 (src):    rust-1.36.0-lp151.5.4.2
Comment 19 Swamp Workflow Management 2019-10-08 16:20:40 UTC
openSUSE-SU-2019:2294-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1096945,1100691,1133283,1134978
CVE References: CVE-2018-1000622,CVE-2019-12083
Sources used:
openSUSE Leap 15.1 (src):    rust-1.36.0-lp151.5.8.1, rust-cbindgen-0.8.7-lp151.5.2
Comment 20 Swamp Workflow Management 2019-10-23 19:12:43 UTC
SUSE-SU-2019:2755-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1096945,1100691,1133283,1134978
CVE References: CVE-2018-1000622,CVE-2019-12083
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    rust-1.36.0-4.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    rust-1.36.0-4.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.